nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   General Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=27)
-   -   [help!] how to configure the new kernel 2.4.21 about nforce2? (http://www.nvnews.net/vbulletin/showthread.php?t=14568)

leyon 07-08-03 09:50 PM

[help!] how to configure the new kernel 2.4.21 about nforce2?
 
My os is redhat 9.
After I compiled the new kernel 2.4.21,
I wanna install the latest nforce2 driver.
But when I make it,
it always says "unsolved symbols...".
The nvnet.o can not be installed properly and can not be used.

So, who can tell me how to configure the kernel ,
in order to make the nforce2 driver work ?

thanks you very much ! :)

geowiz 07-10-03 08:20 PM

The 2.4.21 kernel only needs the nvnet module, not the audio or the ide driver to get the Nforce2 board working.

I unpacked the nforce tar file and changed directory to the nforce/nvnet subdirectory, do a make clean, make and then make install. Works everytime.

It may be a silly question but did you remember to do a "make clean" ? Seems to me that in one hurried afternoon, I forgot and did the install of nvnet from the last kernel and got the "unresolved symbols" issue.

If you didn't set the 2.4.21 kernel to support AMD74XX in the IDE, ATA ATAPI Block devices then the disk DMA doesn't work. This switch is shown in the 2.4.22 series as AMD and nVidia IDE support.

leyon 07-14-03 12:13 AM

Quote:

Originally posted by geowiz
The 2.4.21 kernel only needs the nvnet module, not the audio or the ide driver to get the Nforce2 board working.

I unpacked the nforce tar file and changed directory to the nforce/nvnet subdirectory, do a make clean, make and then make install. Works everytime.

It may be a silly question but did you remember to do a "make clean" ? Seems to me that in one hurried afternoon, I forgot and did the install of nvnet from the last kernel and got the "unresolved symbols" issue.

If you didn't set the 2.4.21 kernel to support AMD74XX in the IDE, ATA ATAPI Block devices then the disk DMA doesn't work. This switch is shown in the 2.4.22 series as AMD and nVidia IDE support.

thank you very much !
i will try tonight . :)

ps, could you attach your kernel config file here to let me to refer ?

leyon 07-14-03 06:20 AM

Quote:

Originally posted by geowiz
It may be a silly question but did you remember to do a "make clean" ? Seems to me that in one hurried afternoon, I forgot and did the install of nvnet from the last kernel and got the "unresolved symbols" issue.
I'm a newbie ,so I'm a silly guy too. :D
Now, it's ok !
my nvnet works properly now,
thx a lot ! :)

deathazre 08-27-03 09:32 PM

Quote:

Originally posted by geowiz
The 2.4.21 kernel only needs the nvnet module, not the audio or the ide driver to get the Nforce2 board working.

same with .22 I assume? getting said errors, only in nvsound.

geowiz 08-27-03 10:24 PM

Sound
 
Should be the same. Of course you don't have to use nvsound, the kernel i810_audio module is identical (well, it was in 2.4.20) and works well.

I've used i810_audio for testing but I generally use the ALSA sound modules. http://www.alsa-project.org/index-ok.php3

If the Intel 810 audio is built in the kernel, go ahead and use that instead of nvsound. Then there's no need to rebuild nvsound every kernel change as i810 is already there ;-) (I'm lazy).

The only change needed (assuming the i810 audio is in the kernel) is to change the /etc/modules.conf file and replace nvsound with i810_audio. (My entry for that in the modules.conf file looks like: alias snd-card-0 i810_audio .)

Good luck


All times are GMT -5. The time now is 08:26 AM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.